Bug 1797657 - increase max requests
Summary: increase max requests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.0
Assignee: David Eads
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-03 15:10 UTC by David Eads
Modified: 2020-05-13 21:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Max-in-flight values are considerably increase: 1200 to 3000 for read-only requests, and 600 to 1000 for mutating requests.
Clone Of:
Environment:
Last Closed: 2020-05-13 21:58:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 733 None closed bug 1797657: increase the max-requests limits 2020-08-05 16:35:43 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:58:41 UTC

Description David Eads 2020-02-03 15:10:08 UTC
The values were chosen before a lot of optimization. Bump our values to be more reasonable.

Comment 2 Ke Wang 2020-02-07 15:05:33 UTC
Verified with OCP 4.4.0-0.nightly-2020-02-06-230833.

Refer to the PR https://github.com/openshift/cluster-kube-apiserver-operator/pull/733, there are below two changes in defaultconfig.yaml of cluster-kube-apiserver-operator, 

max-requests-inflight:
- "3000"
max-mutating-requests-inflight:
- "1000"

So we need to log in one kube-apiserver pod and check the related config yaml file, 
Executed the following steps in console,

$ kubeapiserver_pod=$(oc get pod -n openshift-kube-apiserver | grep kube-apiserver | head -1 | awk '{print $1}')

$ oc rsh -n openshift-kube-apiserver  $kubeapiserver_pod

After entered the pod, searching related keywords,  got the expected results.

sh-4.2# cat /etc/kubernetes/static-pod-resources/configmaps/config/config.yaml |   python -m json.tool | grep -A2 -E 'max-requests-inflight|max-mutating-requests-inflight'

        "max-mutating-requests-inflight": [
            "1000"
        ],
        "max-requests-inflight": [
            "3000"
        ],

Comment 4 errata-xmlrpc 2020-05-13 21:58:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.